import os
try:
    # use setuptools if available
    from setuptools import setup
    kwargs = {
        'entry_points': {
            'console_scripts': 'gibberish = gibberish:console_main',
        }
    }
except ImportError:
    # fall back to distutils
    from distutils import setup
    kwargs = {}


base_dir = os.path.dirname(os.path.abspath(__file__))

setup(
    name='gibberish',
    description="A pseudo-word generator",
    version='0.3',
    author='Alex Damian',
    author_email='ddalex@gmail.com',
    url='https://github.com/YPlan/gibberish',
    py_modules=('gibberish',),
    license='MIT License',
    long_description=open(os.path.join(base_dir, 'README.rst')).read(),
    classifiers=[
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 3',
    ],
    **kwargs
)
